import { defineComponent, toRefs, openBlock, createElementBlock, createVNode, unref, withCtx, createTextVNode, toDisplayString } from "vue";
import { NGradientText } from "naive-ui";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "go-text-box" };
const __default__ = defineComponent({ name: "ETextGradient" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { size, gradient, dataset } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(unref(NGradientText), {
          size: unref(size),
          gradient: unref(gradient)
        }, {
          default: withCtx(() => [
            createTextVNode(toDisplayString(unref(dataset)), 1)
          ]),
          _: 1
        }, 8, ["size", "gradient"])
      ]);
    };
  }
});
var _ETextGradient = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-6718403a"]]);
export { _ETextGradient as default };
